# Class CIM_ActiveConnection
extends CIM_SAPSAPDependency

This association defines a connection that is currently communicating, or is configured to communicate, between two ServiceAccessPoints. It is used when the connection is not treated as a ManagedElement itself (that is, with Status, statistics, and so on), but its existence is known. The SAPs that are connected are typically at the same networking or application layer.

### Table of Contents
Hierarchy
Direct Known Subclasses
Class Qualifiers
Class Properties
Class Methods

## Class Hierarchy

CIM_Dependency
|
+--CIM_SAPSAPDependency
|
+--CIM_ActiveConnection

## Direct Known Subclasses

## Class Qualifiers

Name | Data Type | Value
--- | --- | ---
Association | boolean | true
Description | string | This association defines a connection that is currently communicating, or is configured to communicate, between two ServiceAccessPoints. It is used when the connection is not treated as a ManagedElement itself (that is, with Status, statistics, and so on), but its existence is known. The SAPs that are connected are typically at the same networking or application layer.
UMLPackagePath | string | CIM::Core::Service
Version | string | 2.10.0

## Class Properties

### Local Class Properties

Name | Data Type | Default Value | Qualifiers
--- | --- | --- | ---
Name | Data Type | Value
IsUnidirectional | boolean |
Description | string | TRUE means that this connection is unidirectional; FALSE means that this connection is bidirectional. When the connection is unidirectional, the "speaker" should be defined as the Antecedent reference. In a bidirectional connection, the selection of which AccessPoint is the Antecedent or Dependent is immaterial.
OtherTrafficDescription | string |
Deprecated | string | No value

Description

string

Note: The use of this element is deprecated because it is incorrectly placed on the association. Unicast, broadcast, or other traffic types are not a function of the connection between the referenced endpoints, but rather are a function of the addressing, protocol and basic functionality of the endpoints. Deprecated description: A string that describes the type of traffic that is being carried over this instance when its Type property is set, for example, to 1 (Other).

MaxLen | uint32 | 64
ModelCorrespondence | string | CIM_ActiveConnection.TrafficType
TrafficType | uint16 |
Deprecated | string | No value

Description

string

Note: The use of this element is deprecated because it is incorrectly placed on the association. Unicast, broadcast, or other traffic types are not a function of the connection between the referenced endpoints, but rather are a function of the addressing, protocol and basic functionality of the endpoints. Deprecated description: The type of traffic that is carried over this connection.

ModelCorrespondence | string | CIM_ActiveConnection.OtherTrafficDescription
ValueMap | string | 0, 1, 2, 3, 4, 5
Values | string | Unknown, Other, Unicast, Broadcast, Multicast, Anycast

### Association References

Name | Class Origin | Reference Class
--- | --- | ---
Antecedent | CIM_ActiveConnection | CIM_ServiceAccessPoint
Dependent | CIM_ActiveConnection | CIM_ServiceAccessPoint

## Class Methods